Bug 1301104 - [RFE] Automate configuration of host's boot parameters to support VFIO passthrough
Summary: [RFE] Automate configuration of host's boot parameters to support VFIO passth...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: 3.6.0
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-4.0.0-beta
: 4.0.0
Assignee: Martin Polednik
QA Contact: Nisim Simsolo
URL:
Whiteboard:
Depends On:
Blocks: 1234283 1235331 1270581 1301082 1341268 1372178 1375893
TreeView+ depends on / blocked
 
Reported: 2016-01-22 15:33 UTC by Michal Skrivanek
Modified: 2016-09-19 04:36 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, any modification to the kernel command line had to be executed and maintained by administrators. This process was more complex in the Red Hat Enterprise Virtualization Hypervisor as the file system had to be manually remounted as writable to make the required changes. Now, a new UI selection has been added when adding or editing a host that allows for kernel line modifications directly from the web administration portal. These changes are then maintained by Red Hat Virtualization. Supported modifications are supported as checkboxes but more complex modifications are also allowed as free text entry.
Clone Of:
: 1375893 (view as bug list)
Environment:
Last Closed: 2016-08-01 12:28:41 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.0+
rule-engine: exception+
nsimsolo: testing_plan_complete+
mgoldboi: planning_ack+
tjelinek: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 56284 master MERGED add new plugin to control kernel cmdline arguments 2020-07-28 15:21:16 UTC
oVirt gerrit 57051 master MERGED core: Kernel cmdline - data layer 2020-07-28 15:21:16 UTC
oVirt gerrit 57052 master MERGED core: Kernel cmdline - host deploy 2020-07-28 15:21:16 UTC
oVirt gerrit 57053 master MERGED webadmin: Kernel cmdline - frontend 2020-07-28 15:21:16 UTC
oVirt gerrit 57084 master MERGED virt: add kernel cmdline reporting 2020-07-28 15:21:16 UTC
oVirt gerrit 57736 master MERGED webadmin: avoid NPE when the kernel cmd line params were not changed 2020-07-28 15:21:16 UTC
oVirt gerrit 57756 master MERGED core: Kernel cmdline - host deploy 2 2020-07-28 15:21:16 UTC

Description Michal Skrivanek 2016-01-22 15:33:41 UTC
currently manual grub changes are needed
we'd like to do that in UI, somewhere under Hosts.
Optional functionality to update and regenerate grub when host is in Maintenance, then reboot.
Additional parameters for e.g. GPU passthrough might be needed.

it needs to support node as well

Comment 1 Fabian Deutsch 2016-02-04 09:11:51 UTC
For reference vintage node is using grub2 - but the grub2 configuration file is not under /boot. In addition vintage Node is _only_ caring about grub.conf - and not about the additional files /etc/sysconfig/grub and others.

Comment 2 Fabian Deutsch 2016-02-04 09:13:33 UTC
If it's only about 4.0, then Node Next will be used, which will work as CentOS/RHEL does.

Comment 3 Fabian Deutsch 2016-02-08 09:09:54 UTC
Just for reference: There is already a tool to add customer kernel arguments to the bootloader config: grubby.

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/System_Administrators_Guide/sec-Making_Persistent_Changes_to_a_GRUB_2_Menu_Using_the_grubby_Tool.html

grubby is currently the most likely candidate to be used on Node Next as well for bootloader configuration. It supports grub, grub2 and syslinux and other bootloaders.

Comment 5 Michal Skrivanek 2016-02-19 11:13:40 UTC
grubby should be a good solution for 4.0, we won't have to deal with grub directly

Comment 6 Fabian Deutsch 2016-02-22 15:50:58 UTC
Let me note that oVirt Node Next is now using grubby (as recommended) to modify the grub.cfg file.

Comment 7 Yaniv Kaul 2016-03-03 15:47:26 UTC
Don't you also need to boot the host (I wonder if kexec would suffice?)

Comment 8 Michal Skrivanek 2016-03-04 04:42:40 UTC
Yes, it needs to be rebooted. But if we make it a part of redeploy it's ok, we can do a full "normal" reboot.

Comment 9 Sandro Bonazzola 2016-05-02 09:50:57 UTC
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.

Comment 10 Michal Skrivanek 2016-05-18 17:36:38 UTC
changes are in, just waiting on host-deploy respin and spec update

Comment 11 Nisim Simsolo 2016-07-31 13:43:47 UTC
Verified:
rhevm-4.0.2.2-0.1.el7ev
qemu-kvm-rhev-2.3.0-31.el7_2.20.x86_64
libvirt-client-1.2.17-13.el7_2.5.x86_64
vdsm-4.18.9-1.el7ev.x86_64

Test plan attached to external trackers.

Comment 12 Michal Skrivanek 2016-09-14 07:55:33 UTC
Hm, it seems documentation was not really updated with the new feature. Let me open a new doc bug for that as we need to update screenshots of Cluster dialog and add a bit more details about supportability of each kernel option


Note You need to log in before you can comment on or make changes to this bug.